import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomePageComponent } from './modules/home/home-page/home-page.component';
import { PlayQuizComponent } from './modules/home/play-quiz/play-quiz.component';
import { ProfileInfoComponent } from './modules/profile/profile-info/profile-info.component';
import { ListQuizComponent } from './modules/community/list-quiz/list-quiz.component';

const routes: Routes = [
    {
        path: '',
        component: HomePageComponent,
    },
    {
        path: 'play-quiz',
        component: PlayQuizComponent,
    },
    {
        path: 'profile',
        component: ProfileInfoComponent,
    },
    {
        path: 'community',
        component: ListQuizComponent,
    },
];

@NgModule({
    imports: [RouterModule.forRoot(routes)],
    exports: [RouterModule],
})
export class AppRoutingModule {}
