import { Component, Inject, Input, OnInit, SimpleChanges } from '@angular/core';

@Component({
    selector: 'app-multiple-choice',
    templateUrl: './multiple-choice.component.html',
    styleUrl: './multiple-choice.component.css',
})
export class MultipleChoiceComponent implements OnInit {
    @Input() answers: any[] = [];
    @Input() getAnswer!: (id_tested_answer: number) => Promise<number>;
    good_answers: boolean[] = [];
    answer_click: number = -1;
    constructor() {}

    ngOnChanges(changes: SimpleChanges): void {
        if (changes['answers']) {
            this.answer_click = -1;
            this.good_answers = [];
        }
    }

    ngOnInit(): void {}
    async handleClick(id_answer: number, position: number) {
        this.answer_click = position;
        const right_answer = await this.getAnswer(id_answer);
        for (let index = 0; index < this.answers.length; index++) {
            this.good_answers[index] = this.answers[index].id == right_answer;
        }
    }
}
