import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable({
    providedIn: 'root',
})
export class QuestionService {
    private apiUrl = 'http://klebert-host.com:33036';
    constructor(private http: HttpClient) {}

    createQuiz(nbQuestions: number, category?: number, difficulty?: string): Observable<any> {
        let body: any = {
            amount: nbQuestions,
        };
        if (category) {
            body = { ...body, category: category };
        }
        if (difficulty) {
            body = { ...body, difficulty: difficulty };
        }
        return this.http.post(`${this.apiUrl}/quiz/create`, body);
    }
}
